﻿<!DOCTYPE html>
<html>
<head>
    <title>CP-Flex Applications</title>
</head>
<body>

    <h1 id="cp-flex-applications">CP-Flex Applications</h1>
<p>This folder contains example applications and required include files for building
the flex script applications targeting the LoRa tag.  Flex script uses the PAWN
language together with the Flex platform API, which is availble via one or more
include files found in the include folder.</p>
<p>The provided applications are use for testing, demonstration, and tutorial.  Use
one of these applications as the base for your own script development. They are
described briefly as follows:</p>
<ul>
<li><a href="apps/ped_tracker/app.p"><strong>ped_tracker</strong></a> -- Pedestrian Tracker Application example.  This is a very basic tracker with emergency alert function. It has multiple source files.</li>
<li><a href="apps/perf_test/README.md"><strong>perf_test</strong></a> -- Performance test for testing LoRa transmit and other wireless functions.</li>
<li><a href="apps/apitest/apitest.p"><strong>apitest</strong></a> -- Basic test script used to validate the essential capabilities of the Flex API.</li>
<li><a href="apps/Empty/Empty.p"><strong>empty</strong></a>   -- Empty project with no functionality provided as a template for new development.</li>
<li><a href="apps/HelloWorld/HelloWorld.p"><strong>HelloWorld</strong></a> -- Basic project writes &quot;Hello World&quot; to the debug console.</li>
<li><a href="apps/luttest/luttest.p"><strong>luttest</strong></a> -- Basic functional testing of the LoRa tag.</li>
</ul>
<p>To build the byte code make sure pawncc is in your path and execute either compile.sh or compile.bat depending on your system (either linux or Windows).</p>
<hr />
<p><em>Copyright 2019-2020, Codepoint Technologies,</em>
<em>All Rights Reserved</em></p>


</body>
</html>